purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.CST.Lexer

Synopsis

- lenient :: [LexResult] -> [LexResult]
- lexModule :: Text -> [LexResult]
- lex :: Text -> [LexResult]
- lexTopLevel :: Text -> [LexResult]
- lexWithState :: LexState -> [LexResult]
- isUnquotedKey :: Text -> Bool

# Documentation

lenient :: [LexResult] -> [LexResult] #

Stops at the first lexing error and replaces it with TokEof. Otherwise, the parser will fail when it attempts to draw a lookahead token.

lexModule :: Text -> [LexResult] #

lex :: Text -> [LexResult] #

Lexes according to root layout rules.

lexTopLevel :: Text -> [LexResult] #

Lexes according to top-level declaration context rules.

lexWithState :: LexState -> [LexResult] #

Lexes according to some LexState.

isUnquotedKey :: Text -> Bool #

Checks if some identifier is a valid unquoted key.